



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Fastjson 爆出远程代码执行高危漏洞，更新版本已修复</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Fastjson 爆出远程代码执行高危漏洞，更新版本已修复</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-24 19:12:22 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>fastjson近日曝出代码执行漏洞，恶意用户可利用此漏洞进行远程代码执行，入侵服务器，漏洞评级为&ldquo;高危&rdquo;。</p>
<p>基本介绍<br />fastjson 是一个性能很好的 Java 语言实现的 JSON 解析器和生成器，来自阿里巴巴的工程师开发。</p>
<p>漏洞介绍<br />fastjson在1.2.24以及之前版本近日曝出代码执行漏洞，当用户提交一个精心构造的恶意的序列化数据到服务器端时，fastjson在反序列化时存在漏洞，可导致远程任意代码执行漏洞。</p>
<p>风险：高风险<br />方式：黑客通过利用漏洞可以实现远程代码执行<br />影响：1.2.24及之前版本<br />安全版本：&gt;=1.2.28</p>
<p>修复方法</p>
<p>1.请将fastjson升级到1.2.28或者更新版本</p>
<pre class="prettyprint linenums">&lt;dependency&gt;<br />
&nbsp;&nbsp;&nbsp;&nbsp;&lt;groupId&gt;com.alibaba&lt;/groupId&gt;<br />
&nbsp;&nbsp;&nbsp;&nbsp;&lt;artifactId&gt;fastjson&lt;/artifactId&gt;<br />
&nbsp;&nbsp;&nbsp;&nbsp;&lt;version&gt;1.2.28&lt;/version&gt;<br />
&lt;/dependency&gt;</pre>
<h4>2. 直接下载</h4>
<p>1.2.28版本下载地址&nbsp;<a href="http://repo1.maven.org/maven2/com/alibaba/fastjson/1.2.28/" rel="external nofollow noreferrer">http://repo1.maven.org/maven2/com/alibaba/fastjson/1.2.28/</a></p>
<h3>常见问题</h3>
<h4>1. 升级遇到不兼容问题怎么办？</h4>
<p>1.2.28已经修复了绝大多数兼容问题，但是总会有一些特殊的用法导致不兼容，如果你遇到不兼容问题，通过&nbsp;<a href="https://github.com/alibaba/fastjson/wiki/incompatible_change_list" rel="external nofollow noreferrer">https://github.com/alibaba/fastjson/wiki/incompatible_change_list</a>&nbsp;查看不兼容问题，链接的后面提供了遇到不兼容问题之后的使用相应的sec01版本解决办法。</p>
<h4>2. 升级之后报错autotype is not support</h4>
<p>安全升级包禁用了部分autotype的功能，也就是"@type"这种指定类型的功能会被限制在一定范围内使用。如果你使用场景中包括了这个功能，<a href="https://github.com/alibaba/fastjson/wiki/enable_autotype" rel="external nofollow noreferrer">https://github.com/alibaba/fastjson/wiki/enable_autotype</a>&nbsp;这里有一个介绍如何添加白名单或者打开autotype功能。</p>
<h4>3. 通过配置打开autotype之后是否存在安全漏洞</h4>
<p>在1.2.28以及所有的.sec01版本中，有多重保护，但打开autotype之后仍会存在风险，不建议打开，而是使用一个较小范围的白名单。</p>
<h4>4. Android环境使用是否需要升级</h4>
<p>目前未发现漏洞对Android系统产生影响，在Android环境中使用不用升级。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/jqdxjzz8.html">webpack入门和实战&lpar;二&rpar;：全面理解和运用loader和plugins</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qnz7ljq.html">Delphi 使用CHM文件制作系统帮助文档（上下文感知帮助的制作）</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyjeg2q.html">VS2013的一些常用快捷键</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7kvzj9.html">C语言-11-可变参数的实现方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvkknjq.html">一条scan查询把HBase集群干趴下</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zoggg9.html">TestNg的xml配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjzldr8.html">Arrays&period;asList&lpar;&rpar;生成的List抛UnsupportedOperationException分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ey7x1x9.html">setsockopt&lpar;&rpar;用法（参数详细说明） recv、send的超时处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkpm1z8.html">selenium-判断元素是否可见（五）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgower8.html">docker下安装mysql</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mw4ro8.html">docker-compose&period;yml 示例</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1ep0xq.html">java 类、方法、代码块修饰式关键字总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/93w3rdwq.html">&lbrack;Java&rsqb;  例外處裡 try&sol;catch &amp;amp&semi; throws</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7o0kjg8.html">SpringCloud-Eurake坑</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2m43z9.html">AndroidO Treble架构下Hal进程启动及HIDL服务注册过程【转】</a>
		</li>
						<li><a href="https://www.batexi.com/a/93p71mr8.html">适配 iOS 11 &amp;amp&semi; iPhone X 大全</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdjymr7q.html">SSM实现图片上传管理操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/q77lx3kq.html">Qualcomm platform&comma; the commonly used parameters of charger and battery in device tree file</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jegn7g8.html">【字符串哈希】【莫队算法】bzoj3207 花神的嘲讽计划Ⅰ</a>
		</li>
						<li><a href="https://www.batexi.com/a/9g4m4m79.html">【bzoj2795】&lbrack;Poi2012&rsqb;A Horrible Poem  Hash&plus;分解质因数</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qyynomdq.html">《es6标准入门》chapter11中关于Proxy的一个错误例子的纠正</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7ov3d18.html">ThinkPhp 更改 BIT 类型的问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j16gxe9.html">深入理解Git &lpar;一&rpar; － 元数据</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j16rj49.html">如何唯一的标识一台Android设备？</a>
			</li>
						<li><a href="https://www.batexi.com/a/93wrljnq.html">Windows Server 2012 R2 或 2016 无法安装 &period;NET Framework 3&period;5&period;1</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnv6k5j8.html">ubuntu 安装JDK1&period;6&lpar;jdk-6u45-linux-x64&period;bin&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zyp23x9.html">MDX Cookbook 06 - GENERATE 循环遍历</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7ovvme8.html">addEventListener 第三个参数</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7ovvw18.html">C&plus;&plus; 获取程序编译时间</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r5plg7q.html">（原）Ring loss Convex Feature Normalization for Face Recognition</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
